## txtorcon 0.8.1

=== Makefile ===
.PHONY: test html counts coverage sdist clean install doc
.DEFAULT: test

test:
	trial --reporter=text txtorcon.test

install:
	python setup.py install

doc: docs/*.rst
	cd docs && make html
	cp dist/txtorcon-0.8.1.tar.gz docs/_build/html
	cp dist/txtorcon-0.7.tar.gz docs/_build/html
	cp dist/txtorcon-0.6.tar.gz.sig docs/_build/html

coverage:
	trial --reporter=bwverbose --coverage txtorcon
	python scripts/coverage.py

pep8:
	find txtorcon/*.py txtorcon/test/*.py examples/*.py | xargs pep8 --ignore=E501

pep8count:
	find txtorcon/*.py txtorcon/test/*.py examples/*.py | xargs pep8 --ignore=E501 | wc -l

pyflakes:
	pyflakes txtorcon/ examples/

pyflakescount:
	pyflakes txtorcon/ examples/ | wc -l

clean:
	-rm -rf _trial_temp
	-rm -rf build
	-rm -rf dist
	-rm -rf html
	-rm MANIFEST
	-rm `find . -name \*.py[co]`
	-cd docs && make clean

counts:
	ohcount -s txtorcon/*.py

dist: dist/txtorcon-0.8.1.tar.gz.sig

sdist: setup.py 
	python setup.py sdist

dist/txtorcon-0.8.1.tar.gz: sdist
dist/txtorcon-0.8.1.tar.gz.sig: dist/txtorcon-0.8.1.tar.gz
	gpg --verify dist/txtorcon-0.8.1.tar.gz.sig || gpg --no-version --detach-sig -u meejah@meejah.ca dist/txtorcon-0.8.1.tar.gz

release: dist/txtorcon-0.8.1.tar.gz.sig setup.py
	python setup.py sdist upload --sign --identity=meejah@meejah.ca

virtualenv:
	mkdir -p tmp
	cd tmp
	virtualenv --never-download --extra-search-dir=/usr/lib/python2.7/dist-packages/ txtorcon_env
	@echo "created tmp/txtorcon_env"
	@echo "see INSTALL for more information"

html: docs/README.rst
	cd docs && make html

=== requirements.txt ===
pygeoip
Sphinx
Twisted>=11.1.0
ipaddr>=2.1.10
repoze.sphinx.autointerface>=0.4
zope.interface>=3.6.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm README.rst #generated from ../README 

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	-cp ../meejah.asc _build/html/meejah.asc
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/txtor.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/txtor.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/txtor"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/txtor"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## txtorcon 0.7

=== debian/changelog ===
txtorcon (0.7-2) unstable; urgency=low

  * Use dh_python2 instead of python-support. (Closes: #705375)

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 08 May 2013 19:06:06 +0200

txtorcon (0.7-1) unstable; urgency=low

  * Initial release. (Closes: #701625)

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 25 Feb 2013 17:56:48 +0100

=== debian/control ===
Source: txtorcon
Maintainer: Jérémy Bobbio <lunar@debian.org>
Section: python
Priority: extra
Build-Depends: debhelper (>= 8),
               graphviz,
               lsof,
               python-all (>= 2.6.6-3~),
               python-geoip,
               python-ipaddr,
               python-repoze.sphinx.autointerface,
               python-setuptools,
               python-sphinx,
               python-twisted
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Homepage: http://github.com/meejah/txtorcon
Vcs-Git: git://anonscm.debian.org/collab-maint/txtorcon.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/txtorcon.git

Package: python-txtorcon
Architecture: all
Depends: python-geoip,
         python-ipaddr (>= 2.1.10),
         python-twisted (>= 11.1.0),
         python-zope.interface (>= 3.6.1),
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Suggests: tor
Description: Twisted-based asynchronous Tor control protocol implementation
 txtorcon main feature is to present an asynchronous API to speak the Tor
 client protocol in Python. It also provides abstractions to track and get
 updates about Tor's state and current configuration (including writing it to
 Tor or disk), along with helpers to asynchronously launch slave instances of
 Tor including Twisted endpoint support.
 .
 Twisted is an event-driven networking engine written in Python and Tor is an
 onion-routing network designed to improve people's privacy and anonymity on the
 Internet.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2 --buildsystem=python_distutils

override_dh_installdocs:
	cd docs && make text
	dh_installdocs

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/python-txtorcon/usr/share/doc/python-txtorcon
	set -e && \
	for data_src in README TODO examples; do \
		mv debian/python-txtorcon/usr/share/txtorcon/$$data_src \
			debian/python-txtorcon/usr/share/doc/python-txtorcon; \
	done
	rm -r debian/python-txtorcon/usr/share/txtorcon

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	make test
endif

## txtorcon 0.8.1

=== debian/changelog ===
txtorcon (0.8.1-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 25 May 2013 23:23:39 +0200

txtorcon (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Add tor to Build-Depends to be able to run launch_tor() tests.
  * Prevent compression of the launch_tor_with_simplehttpd.py example.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 14 May 2013 08:01:25 +0000

## txtorcon 0.8.2

=== debian/changelog ===
txtorcon (0.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 27 Nov 2013 21:20:18 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,9 @@
 	done
 	rm -r debian/python-txtorcon/usr/share/txtorcon
 
+override_dh_compress:
+	dh_compress -O--buildsystem=python_distutils -Xlaunch_tor_with_simplehttpd.py
+
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	make test

=== debian/watch ===
version=3
https://pypi.python.org/pypi/txtorcon \
	https://pypi.python.org/packages/source/t/txtorcon/txtorcon-(.+)\.tar\.gz

## txtorcon 0.9.1

=== Makefile ===
.PHONY: test html counts coverage sdist clean install doc integration
default: test


test:
	trial --reporter=text test

# see also http://docs.docker.io/en/latest/use/baseimages/
dockerbase-wheezy:
	@echo 'Building a minimal "wheezy" system.'
	@echo "This may take a while...and will consume about 240MB when done."
	debootstrap wheezy dockerbase-wheezy

dockerbase-wheezy-image: dockerbase-wheezy
	@echo 'Importing dockerbase-wheezy into docker'
	tar -C dockerbase-wheezy -c . | docker import - dockerbase-wheezy
	docker run dockerbase-wheezy cat /etc/issue

txtorcon-tester: Dockerfile dockerbase-wheezy-image
	@echo "Creating a Docker.io container"
	docker build -rm -q -t txtorcon-tester ./

integration: ## txtorcon-tester
	python integration/run.py

install:
	python setup.py install

doc: docs/*.rst
	cd docs && make html
	-cp dist/txtorcon-0.9.1.tar.gz docs/_build/html

coverage:
	coverage run --source=txtorcon `which trial` test
	coverage -a -d annotated_coverage
	coverage report

# dang, this is a little annoying. maybe add a shell-script which
# looks for "coverage" or "python-coverage"??
coverage-debian:
	python-coverage run --source=txtorcon `which trial` test
	python-coverage -a -d annotated_coverage
	python-coverage report

pep8:
	find txtorcon/*.py test/*.py examples/*.py | xargs pep8 --ignore=E501

pep8count:
	find txtorcon/*.py test/*.py examples/*.py | xargs pep8 --ignore=E501 | wc -l

pyflakes:
	pyflakes txtorcon/ examples/ test/

pyflakescount:
	pyflakes txtorcon/ examples/ | wc -l

clean:
	-rm -rf _trial_temp
	-rm -rf build
	-rm -rf dist
	-rm -rf html
	-rm MANIFEST
	-rm `find . -name \*.py[co]`
	-cd docs && make clean
	-rm -rf dockerbase-wheezy
	-docker rmi txtorcon-tester
	-docker rmi dockerbase-wheezy

counts:
	ohcount -s txtorcon/*.py

dist: dist/txtorcon-0.9.1-py27-none-any.whl.asc dist/txtorcon-0.9.1.tar.gz.asc

sdist: setup.py 
	python setup.py sdist

dist/txtorcon-0.9.1-py27-none-any.whl:
	python setup.py bdist_wheel
dist/txtorcon-0.9.1-py27-none-any.whl.asc: dist/txtorcon-0.9.1-py27-none-any.whl
	gpg --verify dist/txtorcon-0.9.1-py27-none-any.whl.asc || gpg --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-0.9.1-py27-none-any.whl

dist/txtorcon-0.9.1.tar.gz: sdist
dist/txtorcon-0.9.1.tar.gz.asc: dist/txtorcon-0.9.1.tar.gz
	gpg --verify dist/txtorcon-0.9.1.tar.gz.asc || gpg --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-0.9.1.tar.gz

release:
	twine upload -r pypi -c "txtorcon v0.9.1 tarball" dist/txtorcon-0.9.1.tar.gz dist/txtorcon-0.9.1.tar.gz.asc
	twine upload -r pypi -c "txtorcon v0.9.1 wheel" dist/txtorcon-0.9.1-py27-none-any.whl dist/txtorcon-0.9.1-py27-none-any.whl.asc


venv:
	virtualenv --never-download --extra-search-dir=/usr/lib/python2.7/dist-packages/ venv
	@echo "created venv"
	@echo "see INSTALL for more information; to use:"
	@echo ". ./venv/bin/activate"
	@echo "pip install -r requirements.txt"
	@echo "pip install -r dev-requirements.txt"
	@echo "python examples/monitor.py"

html: docs/README.rst
	cd docs && make html

=== requirements.txt ===
## see also dev-requirements.txt to build
## hmm, travis-ci doesn't like this since we need a GeoIP-dev package
##GeoIP>=1.2.9
Twisted>=11.1.0
ipaddr>=2.1.10
zope.interface>=3.6.1

=== debian/changelog ===
txtorcon (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch and verify upstream signature
  * Improve debian/README.source

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 21 Jan 2014 15:10:52 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                python-repoze.sphinx.autointerface,
                python-setuptools,
                python-sphinx,
-               python-twisted
+               python-twisted,
+               tor
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.7
 Homepage: http://github.com/meejah/txtorcon

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh_auto_install
 	mkdir -p debian/python-txtorcon/usr/share/doc/python-txtorcon
 	set -e && \
-	for data_src in README TODO examples; do \
+	for data_src in README.rst TODO examples; do \
 		mv debian/python-txtorcon/usr/share/txtorcon/$$data_src \
 			debian/python-txtorcon/usr/share/doc/python-txtorcon; \
 	done

=== debian/watch ===
version=3
opts="downloadurlmangle=s/#.*$//,filenamemangle=s/.*(txtorcon-[^#]+)#.*$/$1/,pgpsigurlmangle=s/$/.asc/" \
	https://pypi.python.org/pypi/txtorcon \
	https://pypi.python.org/packages/source/t/txtorcon/txtorcon-(.+)\.tar\.gz#.*

## txtorcon 0.9.2

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 doc: docs/*.rst
 	cd docs && make html
-	-cp dist/txtorcon-0.9.1.tar.gz docs/_build/html
+	-cp dist/txtorcon-0.9.2.tar.gz docs/_build/html
 
 coverage:
 	coverage run --source=txtorcon `which trial` test
@@ -42,11 +42,11 @@
 	python-coverage -a -d annotated_coverage
 	python-coverage report
 
-pep8:
-	find txtorcon/*.py test/*.py examples/*.py | xargs pep8 --ignore=E501
+pep8: txtorcon/*.py test/*.py examples/*.py
+	pep8 --ignore=E501,E265 $^
 
 pep8count:
-	find txtorcon/*.py test/*.py examples/*.py | xargs pep8 --ignore=E501 | wc -l
+	pep8 --ignore=E501,E265 $^ | wc -l
 
 pyflakes:
 	pyflakes txtorcon/ examples/ test/
@@ -69,23 +69,23 @@
 counts:
 	ohcount -s txtorcon/*.py
 
-dist: dist/txtorcon-0.9.1-py27-none-any.whl.asc dist/txtorcon-0.9.1.tar.gz.asc
+dist: dist/txtorcon-0.9.2-py2-none-any.whl.asc dist/txtorcon-0.9.2.tar.gz.asc
 
 sdist: setup.py 
 	python setup.py sdist
 
-dist/txtorcon-0.9.1-py27-none-any.whl:
+dist/txtorcon-0.9.2-py2-none-any.whl:
 	python setup.py bdist_wheel
-dist/txtorcon-0.9.1-py27-none-any.whl.asc: dist/txtorcon-0.9.1-py27-none-any.whl
-	gpg --verify dist/txtorcon-0.9.1-py27-none-any.whl.asc || gpg --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-0.9.1-py27-none-any.whl
+dist/txtorcon-0.9.2-py2-none-any.whl.asc: dist/txtorcon-0.9.2-py2-none-any.whl
+	gpg --verify dist/txtorcon-0.9.2-py2-none-any.whl.asc || gpg --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-0.9.2-py2-none-any.whl
 
-dist/txtorcon-0.9.1.tar.gz: sdist
-dist/txtorcon-0.9.1.tar.gz.asc: dist/txtorcon-0.9.1.tar.gz
-	gpg --verify dist/txtorcon-0.9.1.tar.gz.asc || gpg --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-0.9.1.tar.gz
+dist/txtorcon-0.9.2.tar.gz: sdist
+dist/txtorcon-0.9.2.tar.gz.asc: dist/txtorcon-0.9.2.tar.gz
+	gpg --verify dist/txtorcon-0.9.2.tar.gz.asc || gpg --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-0.9.2.tar.gz
 
 release:
-	twine upload -r pypi -c "txtorcon v0.9.1 tarball" dist/txtorcon-0.9.1.tar.gz dist/txtorcon-0.9.1.tar.gz.asc
-	twine upload -r pypi -c "txtorcon v0.9.1 wheel" dist/txtorcon-0.9.1-py27-none-any.whl dist/txtorcon-0.9.1-py27-none-any.whl.asc
+	twine upload -r pypi -c "txtorcon v0.9.2 tarball" dist/txtorcon-0.9.2.tar.gz dist/txtorcon-0.9.2.tar.gz.asc
+	twine upload -r pypi -c "txtorcon v0.9.2 wheel" dist/txtorcon-0.9.2-py2-none-any.whl dist/txtorcon-0.9.2-py2-none-any.whl.asc
 
 
 venv:

=== debian/changelog ===
txtorcon (0.9.2-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 10 May 2014 17:18:58 +0200

txtorcon (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version, no changes required.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 28 Apr 2014 18:29:49 +0200

txtorcon (0.9.1-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 11 Feb 2014 17:41:00 +0100

txtorcon (0.8.2-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 08 Dec 2013 18:15:38 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python-sphinx,
                python-twisted,
                tor
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.7
 Homepage: http://github.com/meejah/txtorcon
 Vcs-Git: git://anonscm.debian.org/collab-maint/txtorcon.git

## txtorcon 0.10.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,12 @@
 .PHONY: test html counts coverage sdist clean install doc integration
 default: test
-
+VERSION = 0.10.1
 
 test:
 	trial --reporter=text test
+
+tox:
+	tox -i http://localhost:3141/root/pypi
 
 # see also http://docs.docker.io/en/latest/use/baseimages/
 dockerbase-wheezy:
@@ -28,7 +31,7 @@
 
 doc: docs/*.rst
 	cd docs && make html
-	-cp dist/txtorcon-0.9.2.tar.gz docs/_build/html
+	-cp dist/txtorcon-${VERSION}.tar.gz docs/_build/html
 
 coverage:
 	coverage run --source=txtorcon `which trial` test
@@ -69,23 +72,28 @@
 counts:
 	ohcount -s txtorcon/*.py
 
-dist: dist/txtorcon-0.9.2-py2-none-any.whl.asc dist/txtorcon-0.9.2.tar.gz.asc
+test-release: dist
+	./test-release.sh $(shell pwd) ${VERSION}
+
+dist: dist/txtorcon-${VERSION}-py2-none-any.whl dist/txtorcon-${VERSION}.tar.gz
+
+dist-sigs: dist/txtorcon-${VERSION}-py2-none-any.whl.asc dist/txtorcon-${VERSION}.tar.gz.asc
 
 sdist: setup.py 
 	python setup.py sdist
 
-dist/txtorcon-0.9.2-py2-none-any.whl:
+dist/txtorcon-${VERSION}-py2-none-any.whl:
 	python setup.py bdist_wheel
-dist/txtorcon-0.9.2-py2-none-any.whl.asc: dist/txtorcon-0.9.2-py2-none-any.whl
-	gpg --verify dist/txtorcon-0.9.2-py2-none-any.whl.asc || gpg --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-0.9.2-py2-none-any.whl
+dist/txtorcon-${VERSION}-py2-none-any.whl.asc: dist/txtorcon-${VERSION}-py2-none-any.whl
+	gpg --verify dist/txtorcon-${VERSION}-py2-none-any.whl.asc || gpg --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-${VERSION}-py2-none-any.whl
 
-dist/txtorcon-0.9.2.tar.gz: sdist
-dist/txtorcon-0.9.2.tar.gz.asc: dist/txtorcon-0.9.2.tar.gz
-	gpg --verify dist/txtorcon-0.9.2.tar.gz.asc || gpg --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-0.9.2.tar.gz
+dist/txtorcon-${VERSION}.tar.gz: sdist
+dist/txtorcon-${VERSION}.tar.gz.asc: dist/txtorcon-${VERSION}.tar.gz
+	gpg --verify dist/txtorcon-${VERSION}.tar.gz.asc || gpg --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-${VERSION}.tar.gz
 
 release:
-	twine upload -r pypi -c "txtorcon v0.9.2 tarball" dist/txtorcon-0.9.2.tar.gz dist/txtorcon-0.9.2.tar.gz.asc
-	twine upload -r pypi -c "txtorcon v0.9.2 wheel" dist/txtorcon-0.9.2-py2-none-any.whl dist/txtorcon-0.9.2-py2-none-any.whl.asc
+	twine upload -r pypi -c "txtorcon v${VERSION} tarball" dist/txtorcon-${VERSION}.tar.gz dist/txtorcon-${VERSION}.tar.gz.asc
+	twine upload -r pypi -c "txtorcon v${VERSION} wheel" dist/txtorcon-${VERSION}-py2-none-any.whl dist/txtorcon-${VERSION}-py2-none-any.whl.asc
 
 
 venv:

=== debian/changelog ===
txtorcon (0.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 21 Jul 2014 00:55:46 +0200

txtorcon (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright
  * Update Build-Depends.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 15 Jun 2014 20:50:38 +0200

## txtorcon 0.11.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: test html counts coverage sdist clean install doc integration
 default: test
-VERSION = 0.10.1
+VERSION = 0.11.0
 
 test:
 	trial --reporter=text test

=== debian/changelog ===
txtorcon (0.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 18 Aug 2014 12:33:44 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                python-all (>= 2.6.6-3~),
                python-geoip,
                python-ipaddr,
+               python-mock,
                python-repoze.sphinx.autointerface,
                python-setuptools,
                python-sphinx,

## txtorcon 0.14.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: test html counts coverage sdist clean install doc integration
 default: test
-VERSION = 0.11.0
+VERSION = 0.14.2
 
 test:
 	trial --reporter=text test
@@ -27,6 +27,7 @@
 	python integration/run.py
 
 install:
+	sudo apt-get install python-setuptools python-twisted python-ipaddr python-geoip python-psutil graphviz
 	python setup.py install
 
 doc: docs/*.rst
@@ -35,8 +36,14 @@
 
 coverage:
 	coverage run --source=txtorcon `which trial` test
+	coverage report --show-missing
+
+htmlcoverage:
+	coverage run --source=txtorcon `which trial` test
 	coverage -a -d annotated_coverage
-	coverage report
+	coverage report --show-missing
+	coverage html  # creates htmlcov/
+	sensible-browser htmlcov/index.html
 
 # dang, this is a little annoying. maybe add a shell-script which
 # looks for "coverage" or "python-coverage"??
@@ -46,7 +53,7 @@
 	python-coverage report
 
 pep8: txtorcon/*.py test/*.py examples/*.py
-	pep8 --ignore=E501,E265 $^
+	pep8 --ignore=E501 $^
 
 pep8count:
 	pep8 --ignore=E501,E265 $^ | wc -l

=== requirements.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 Twisted>=11.1.0
 ipaddr>=2.1.10
 zope.interface>=3.6.1
+txsocksx>=1.13.0

=== debian/changelog ===
txtorcon (0.14.2-1) unstable; urgency=medium

  * Imported Upstream version 0.14.2
  * debian/control:
   - Added myself to uploaders

 -- Iain R. Learmonth <irl@debian.org>  Sun, 27 Dec 2015 19:16:24 +0000

txtorcon (0.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 19 Oct 2015 15:45:07 +0200

txtorcon (0.13.0-1) unstable; urgency=medium

  [ Ximin Luo ]
  * Hand over package to pkg-privacy team.

  [ Jérémy Bobbio ]
  * New upstream release.
  * Cherry-pick upstream patch to make tests compatible with official Mock API.
    (Closes: #797261)
  * Migrate watch file to PyPI simple API.
  * Switch to debhelper compat level 9.
  * Use pybuild as buildsystem.
  * Bump Standards-Version, no changes required.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 06 Sep 2015 20:17:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: txtorcon
-Maintainer: Jérémy Bobbio <lunar@debian.org>
+Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
+Uploaders: Iain R. Learmonth <irl@debian.org>,
+           Jérémy Bobbio <lunar@debian.org>
 Section: python
 Priority: extra
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
+               dh-python,
                graphviz,
                lsof,
                python-all (>= 2.6.6-3~),
@@ -12,13 +15,14 @@
                python-repoze.sphinx.autointerface,
                python-setuptools,
                python-sphinx,
+               python-txsocksx,
                python-twisted,
                tor
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: http://github.com/meejah/txtorcon
-Vcs-Git: git://anonscm.debian.org/collab-maint/txtorcon.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/txtorcon.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/txtorcon.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/txtorcon.git
 
 Package: python-txtorcon
 Architecture: all

## txtorcon 0.15.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: test html counts coverage sdist clean install doc integration
 default: test
-VERSION = 0.14.2
+VERSION = 0.15.0
 
 test:
 	trial --reporter=text test
@@ -40,7 +40,6 @@
 
 htmlcoverage:
 	coverage run --source=txtorcon `which trial` test
-	coverage -a -d annotated_coverage
 	coverage report --show-missing
 	coverage html  # creates htmlcov/
 	sensible-browser htmlcov/index.html
@@ -65,6 +64,7 @@
 	pyflakes txtorcon/ examples/ | wc -l
 
 clean:
+	-rm twisted/plugins/dropin.cache
 	-rm -rf _trial_temp
 	-rm -rf build
 	-rm -rf dist
@@ -80,7 +80,7 @@
 	ohcount -s txtorcon/*.py
 
 test-release: dist
-	./test-release.sh $(shell pwd) ${VERSION}
+	./scripts/test-release.sh $(shell pwd) ${VERSION}
 
 dist: dist/txtorcon-${VERSION}-py2-none-any.whl dist/txtorcon-${VERSION}.tar.gz

=== requirements.txt ===
## see also dev-requirements.txt to build
## hmm, travis-ci doesn't like this since we need a GeoIP-dev package
##GeoIP>=1.2.9
Twisted>=11.1.0
ipaddress>=1.0.16
zope.interface>=3.6.1
txsocksx>=1.13.0

=== debian/changelog ===
txtorcon (0.15.0-1) unstable; urgency=medium

  * Imported Upstream version 0.15.0
  * debian/control:
   - Standards version updated to 3.9.8
   - Removed unnecessary versioned dependencies: python-all, python-ipaddr,
     python-twisted, python-zope.interface

 -- Iain R. Learmonth <irl@debian.org>  Wed, 03 Aug 2016 14:30:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-python,
                graphviz,
                lsof,
-               python-all (>= 2.6.6-3~),
+               python-all,
                python-geoip,
                python-ipaddr,
                python-mock,
@@ -18,22 +18,22 @@
                python-txsocksx,
                python-twisted,
                tor
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/txtorcon.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/txtorcon.git
+Homepage: http://github.com/meejah/txtorcon
 X-Python-Version: >= 2.7
-Homepage: http://github.com/meejah/txtorcon
-Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/txtorcon.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/txtorcon.git
 
 Package: python-txtorcon
 Architecture: all
 Depends: python-geoip,
-         python-ipaddr (>= 2.1.10),
-         python-twisted (>= 11.1.0),
-         python-zope.interface (>= 3.6.1),
+         python-ipaddr,
+         python-twisted,
+         python-zope.interface,
          ${misc:Depends},
          ${python:Depends}
+Suggests: tor
 Provides: ${python:Provides}
-Suggests: tor
 Description: Twisted-based asynchronous Tor control protocol implementation
  txtorcon main feature is to present an asynchronous API to speak the Tor
  client protocol in Python. It also provides abstractions to track and get

## txtorcon 0.17.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: test html counts coverage sdist clean install doc integration
 default: test
-VERSION = 0.15.0
+VERSION = 0.17.0
 
 test:
 	trial --reporter=text test

=== debian/changelog ===
txtorcon (0.17.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Iain R. Learmonth <irl@debian.org>  Sun, 30 Oct 2016 15:07:23 +0000

txtorcon (0.17.0-1) unstable; urgency=medium

  * New upstream release 0.17.1

 -- Iain R. Learmonth <irl@debian.org>  Sun, 30 Oct 2016 13:31:37 +0000

txtorcon (0.14.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Iain R. Learmonth <irl@debian.org>  Sun, 05 Jun 2016 19:12:54 +0100

txtorcon (0.16.1-1) unstable; urgency=medium

  * New upstream version 0.16.1

 -- Iain R. Learmonth <irl@debian.org>  Mon, 05 Sep 2016 10:02:12 +0100

txtorcon (0.15.1-2) unstable; urgency=medium

  * debian/control:
   - Removed dependency on python-ipaddr
   - Added dependency on python-ipaddress

 -- Iain R. Learmonth <irl@debian.org>  Mon, 15 Aug 2016 12:47:20 +0100

txtorcon (0.15.1-1) unstable; urgency=medium

  * Imported Upstream version 0.15.1
   - Fixes circuit.age default-value (Closes: #833821)

 -- Iain R. Learmonth <irl@debian.org>  Mon, 15 Aug 2016 10:47:56 +0100

## txtorcon 0.18.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: test html counts coverage sdist clean install doc integration
 default: test
-VERSION = 0.17.0
+VERSION = 0.18.0
 
 test:
 	trial --reporter=text test

=== debian/changelog ===
txtorcon (0.18.0-1) unstable; urgency=medium

  * New upstream version 0.18.0

 -- Iain R. Learmonth <irl@debian.org>  Tue, 24 Jan 2017 17:34:43 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                lsof,
                python-all,
                python-geoip,
-               python-ipaddr,
+               python-ipaddress,
                python-mock,
                python-repoze.sphinx.autointerface,
                python-setuptools,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2 --buildsystem=pybuild

override_dh_installdocs:
	cd docs && make text
	dh_installdocs -O--buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	mkdir -p debian/python-txtorcon/usr/share/doc/python-txtorcon
	set -e && \
	for data_src in README.rst TODO examples; do \
		mv debian/python-txtorcon/usr/share/txtorcon/$$data_src \
			debian/python-txtorcon/usr/share/doc/python-txtorcon; \
	done
	rm -r debian/python-txtorcon/usr/share/txtorcon

override_dh_compress:
	dh_compress -Xlaunch_tor_with_simplehttpd.py -O--buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	make test
endif

## txtorcon 0.19.3

=== Makefile ===
.PHONY: test html counts coverage sdist clean install doc integration diagrams
default: test
VERSION = 0.19.3

test:
	PYTHONPATH=. trial --reporter=text test

tox:
	tox -i http://localhost:3141/root/pypi

diagrams:
	automat-visualize --image-directory ./diagrams --image-type png txtorcon

diagrams:
	automat-visualize --image-directory ./diagrams --image-type png txtorcon

# see also http://docs.docker.io/en/latest/use/baseimages/
dockerbase-wheezy:
	@echo 'Building a minimal "wheezy" system.'
	@echo "This may take a while...and will consume about 240MB when done."
	debootstrap wheezy dockerbase-wheezy

dockerbase-wheezy-image: dockerbase-wheezy
	@echo 'Importing dockerbase-wheezy into docker'
	tar -C dockerbase-wheezy -c . | docker import - dockerbase-wheezy
	docker run dockerbase-wheezy cat /etc/issue

# see also http://docs.docker.io/en/latest/use/baseimages/
dockerbase-jessie:
	@echo 'Building a minimal "jessie" system.'
	@echo "This may take a while...and will consume about 240MB when done."
	debootstrap jessie dockerbase-jessie

dockerbase-jessie-image: dockerbase-jessie
	@echo 'Importing dockerbase-jessie into docker'
	tar -C dockerbase-jessie -c . | docker import - dockerbase-jessie
	docker run dockerbase-jessie cat /etc/issue

txtorcon-tester: Dockerfile dockerbase-jessie-image
	@echo "Creating a Docker.io container"
	docker build --rm -q -t txtorcon-tester ./

integration: ## txtorcon-tester
	python integration/run.py

install:
	sudo apt-get install python-setuptools python-twisted python-ipaddress graphviz
	python setup.py install

doc: docs/*.rst
	cd docs && make html
	-cp dist/txtorcon-${VERSION}.tar.gz docs/_build/html

coverage:
	PYTHONPATH=. coverage run --source=txtorcon `which trial` test
	cuv graph

htmlcoverage:
	coverage run --source=txtorcon `which trial` test
	coverage report --show-missing
	coverage html  # creates htmlcov/
	sensible-browser htmlcov/index.html

# dang, this is a little annoying. maybe add a shell-script which
# looks for "coverage" or "python-coverage"??
coverage-debian:
	python-coverage run --source=txtorcon `which trial` test
	python-coverage -a -d annotated_coverage
	python-coverage report

pep8: txtorcon/*.py test/*.py examples/*.py
	pep8 --ignore=E501 $^

pep8count:
	pep8 --ignore=E501,E265 $^ | wc -l

pyflakes:
	pyflakes txtorcon/ examples/ test/

pyflakescount:
	pyflakes txtorcon/ examples/ | wc -l

clean:
	-rm twisted/plugins/dropin.cache
	-rm -rf _trial_temp
	-rm -rf build
	-rm -rf dist
	-rm -rf html
	-rm MANIFEST
	-rm `find . -name \*.py[co]`
	-cd docs && make clean
	-rm -rf dockerbase-jessie
	-docker rmi txtorcon-tester
	-docker rmi dockerbase-jessie

counts:
	ohcount -s txtorcon/*.py

test-release: dist
	./scripts/test-release.sh $(shell pwd) ${VERSION}

dist: dist/txtorcon-${VERSION}-py2.py3-none-any.whl dist/txtorcon-${VERSION}.tar.gz

dist-sigs: dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc dist/txtorcon-${VERSION}.tar.gz.asc

sdist: setup.py
	python setup.py sdist

dist/txtorcon-${VERSION}-py2.py3-none-any.whl:
	python setup.py bdist_wheel --universal

dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc: dist/txtorcon-${VERSION}-py2.py3-none-any.whl
	gpg --verify dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc || gpg --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-${VERSION}-py2.py3-none-any.whl

dist/txtorcon-${VERSION}.tar.gz: sdist
dist/txtorcon-${VERSION}.tar.gz.asc: dist/txtorcon-${VERSION}.tar.gz
	gpg --verify dist/txtorcon-${VERSION}.tar.gz.asc || gpg --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-${VERSION}.tar.gz

release:
	twine upload -r pypi -c "txtorcon v${VERSION} tarball" dist/txtorcon-${VERSION}.tar.gz dist/txtorcon-${VERSION}.tar.gz.asc
	twine upload -r pypi -c "txtorcon v${VERSION} wheel" dist/txtorcon-${VERSION}-py2.py3-none-any.whl dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc


venv:
	virtualenv --never-download --extra-search-dir=/usr/lib/python2.7/dist-packages/ venv
	@echo "created venv"
	@echo "see INSTALL for more information; to use:"
	@echo ". ./venv/bin/activate"
	@echo "pip install -r requirements.txt"
	@echo "pip install -r dev-requirements.txt"
	@echo "python examples/monitor.py"

html: docs/*.rst
	cd docs && make html

=== requirements.txt ===
## see also dev-requirements.txt to build
## hmm, travis-ci doesn't like this since we need a GeoIP-dev package
##GeoIP>=1.2.9
Twisted[tls]>=15.5.0
ipaddress>=1.0.16
zope.interface>=3.6.1
incremental
automat

=== debian/changelog ===
txtorcon (0.19.3-4) unstable; urgency=medium

  * Make ipaddress a conditional dependency (See: #880246)

 -- Iain R. Learmonth <irl@debian.org>  Sun, 07 Jan 2018 22:58:15 +0000

txtorcon (0.19.3-3) unstable; urgency=medium

  * Team upload.
  * Moving signing key to debian/upstream/
  * debian/control
    * Depend on ipaddress, not ipaddr (Closes: #881668)
    * Replace `Priority: extra` with `optional`
    * Declare compliance with Debian Policy version 4.1.2
      No change required
    * Use HTTPS URIs
  * Removed privacy-infringing buttons & JS.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sun, 10 Dec 2017 02:48:18 +0100

txtorcon (0.19.3-2) unstable; urgency=medium

  * There is now a python3-txtorcon and python-txtorcon-doc package built
   - The generated text documentation has been dropped in favour of generated
     HTML shipped in the python-txtorcon-doc package
   - Python 3 build dependencies have been added, the test suite during build
     is run for both the default Python 2 intepreter and the default Python 3
     interpreter
  * debian/control:
   - Dropped the build dependency on txsocksx (unnecessary)
   - Updated Standards-Version to 4.1.0

 -- Iain R. Learmonth <irl@debian.org>  Sat, 16 Sep 2017 04:27:32 +0100

txtorcon (0.19.3-1) unstable; urgency=medium

  * New upstream version 0.19.3 (Closes: #873036)
  * debian/patches:
   - New patch disable broken test in GeoIP module, issue has
     been reported upstream

 -- Iain R. Learmonth <irl@debian.org>  Mon, 11 Sep 2017 12:20:22 +0100

=== debian/control ===
Source: txtorcon
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>,
           Jérémy Bobbio <lunar@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               graphviz,
               lsof,
               python-all,
               python-geoip,
               python-ipaddress,
               python-mock,
               python-repoze.sphinx.autointerface,
               python-setuptools,
               python-sphinx,
               python-twisted,
               python3-all,
               python3-geoip,
               python3-mock,
               python3-repoze.sphinx.autointerface,
               python3-setuptools,
               python3-sphinx,
               python3-twisted,
               tor
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/txtorcon.git
Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/txtorcon.git
Homepage: https://github.com/meejah/txtorcon

Package: python-txtorcon
Architecture: all
Depends: python-geoip,
         python-ipaddress,
         python-twisted,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Suggests: tor
Provides: ${python:Provides}
Description: Twisted-based asynchronous Tor control protocol implementation (Python 2)
 txtorcon main feature is to present an asynchronous API to speak the Tor
 client protocol in Python. It also provides abstractions to track and get
 updates about Tor's state and current configuration (including writing it to
 Tor or disk), along with helpers to asynchronously launch slave instances of
 Tor including Twisted endpoint support.
 .
 Twisted is an event-driven networking engine written in Python and Tor is an
 onion-routing network designed to improve people's privacy and anonymity on the
 Internet.
 .
 This package contains the Python 2 module.

Package: python3-txtorcon
Architecture: all
Depends: python3-geoip,
         python3-twisted,
         python3-zope.interface,
         ${misc:Depends},
         ${python3:Depends}
Suggests: tor
Description: Twisted-based asynchronous Tor control protocol implementation (Python 3)
 txtorcon main feature is to present an asynchronous API to speak the Tor
 client protocol in Python. It also provides abstractions to track and get
 updates about Tor's state and current configuration (including writing it to
 Tor or disk), along with helpers to asynchronously launch slave instances of
 Tor including Twisted endpoint support.
 .
 Twisted is an event-driven networking engine written in Python and Tor is an
 onion-routing network designed to improve people's privacy and anonymity on the
 Internet.
 .
 This package contains the Python 3 module.

Package: python-txtorcon-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: tor
Description: Twisted-based asynchronous Tor control protocol implementation (Documentation)
 txtorcon main feature is to present an asynchronous API to speak the Tor
 client protocol in Python. It also provides abstractions to track and get
 updates about Tor's state and current configuration (including writing it to
 Tor or disk), along with helpers to asynchronously launch slave instances of
 Tor including Twisted endpoint support.
 .
 Twisted is an event-driven networking engine written in Python and Tor is an
 onion-routing network designed to improve people's privacy and anonymity on the
 Internet.
 .
 This package contains the common documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=txtorcon

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ docs/_build/html # HTML generator
	dh_auto_build -O--buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	mkdir -p debian/python-txtorcon/usr/share/doc/python-txtorcon
	mkdir -p debian/python3-txtorcon/usr/share/doc/python3-txtorcon
	set -e && \
	for data_src in README.rst TODO examples; do \
		mv debian/python-txtorcon/usr/share/txtorcon/$$data_src \
			debian/python-txtorcon/usr/share/doc/python-txtorcon; \
	done
	set -e && \
	for data_src in README.rst TODO examples; do \
		mv debian/python3-txtorcon/usr/share/txtorcon/$$data_src \
			debian/python3-txtorcon/usr/share/doc/python3-txtorcon; \
	done
	chmod 644 debian/python-txtorcon/usr/share/doc/python-txtorcon/examples/*.py
	chmod 644 debian/python3-txtorcon/usr/share/doc/python3-txtorcon/examples/*.py
	rm -r debian/python-txtorcon/usr/share/txtorcon
	rm -r debian/python3-txtorcon/usr/share/txtorcon

override_dh_compress:
	dh_compress -Xlaunch_tor_with_simplehttpd.py -O--buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=. trial --reporter=text test
	PYTHONPATH=. trial3 --reporter=text test

=== debian/watch ===
version=3
opts="downloadurlmangle=s/simple\/txtorcon\/\.\.\/\.\.\/(.*)#.*$/$1/,filenamemangle=s/.*(txtorcon-[^#]+)#.*$/$1/,pgpsigurlmangle=s/$/.asc/" \
	https://pypi.python.org/simple/txtorcon \
	.*/txtorcon-(.+)\.tar\.gz#.*

## txtorcon 18.0.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: test html counts coverage sdist clean install doc integration diagrams
 default: test
-VERSION = 0.19.3
+VERSION = 18.0.2
 
 test:
 	PYTHONPATH=. trial --reporter=text test
@@ -69,10 +69,10 @@
 	python-coverage report
 
 pep8: txtorcon/*.py test/*.py examples/*.py
-	pep8 --ignore=E501 $^
+	pycodestyle --ignore=E501 $^
 
 pep8count:
-	pep8 --ignore=E501,E265 $^ | wc -l
+	pycodestyle --ignore=E501,E265 $^ | wc -l
 
 pyflakes:
 	pyflakes txtorcon/ examples/ test/
@@ -104,9 +104,11 @@
 dist-sigs: dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc dist/txtorcon-${VERSION}.tar.gz.asc
 
 sdist: setup.py
+	python setup.py check
 	python setup.py sdist
 
 dist/txtorcon-${VERSION}-py2.py3-none-any.whl:
+	python setup.py check
 	python setup.py bdist_wheel --universal
 
 dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc: dist/txtorcon-${VERSION}-py2.py3-none-any.whl
@@ -132,3 +134,6 @@
 
 html: docs/*.rst
 	cd docs && make html
+
+html-server: html
+	twistd -n web --path docs/_build/html --port tcp:9999:interface=localhost

=== debian/changelog ===
txtorcon (18.0.2-2ubuntu1) cosmic; urgency=medium

  * Keep shipping Python 2 package to avoid breaking reverse dependencies
  * Stop shipping controller_py3.py to fix installation

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 04 Sep 2018 13:32:44 +0200

txtorcon (18.0.2-2) unstable; urgency=medium

  * No longer builds a Python 2 package (Closes: #905253)
  * Removes tor from suggests for python-txtorcon-doc

 -- Iain R. Learmonth <irl@debian.org>  Thu, 16 Aug 2018 12:50:11 +0100

txtorcon (18.0.2-1) unstable; urgency=medium

  * New upstream version 18.0.2.
  * debian/control:
   - Update Standards-Version to 4.1.5.
   - Use salsa.d.o URLs for Vcs-*.
  * debian/copyright:
   - Use HTTPS URL for Format.
  * debian/watch:
   - Use GitHub for watch file.
  * debian/patches:
   - Patches were refreshed.
   - The patch to make ipaddress a conditional dependency is now applied
     upstream and so this patch was dropped.

 -- Iain R. Learmonth <irl@debian.org>  Tue, 31 Jul 2018 23:19:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: txtorcon
-Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
 Uploaders: Iain R. Learmonth <irl@debian.org>,
            Jérémy Bobbio <lunar@debian.org>
 Section: python
@@ -24,9 +25,9 @@
                python3-sphinx,
                python3-twisted,
                tor
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/txtorcon.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/txtorcon.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/txtorcon
+Vcs-Git: https://salsa.debian.org/pkg-privacy-team/txtorcon.git
 Homepage: https://github.com/meejah/txtorcon
 
 Package: python-txtorcon
@@ -78,7 +79,6 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Suggests: tor
 Description: Twisted-based asynchronous Tor control protocol implementation (Documentation)
  txtorcon main feature is to present an asynchronous API to speak the Tor
  client protocol in Python. It also provides abstractions to track and get

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,8 @@
 	done
 	chmod 644 debian/python-txtorcon/usr/share/doc/python-txtorcon/examples/*.py
 	chmod 644 debian/python3-txtorcon/usr/share/doc/python3-txtorcon/examples/*.py
+	# drop Python 3 file breaking installation with Python 2.7
+	rm debian/python-txtorcon/usr/lib/python2.7/dist-packages/txtorcon/controller_py3.py
 	rm -r debian/python-txtorcon/usr/share/txtorcon
 	rm -r debian/python3-txtorcon/usr/share/txtorcon

## txtorcon 18.3.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: test html counts coverage sdist clean install doc integration diagrams
 default: test
-VERSION = 18.0.2
+VERSION = 18.3.0
 
 test:
 	PYTHONPATH=. trial --reporter=text test
@@ -112,11 +112,11 @@
 	python setup.py bdist_wheel --universal
 
 dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc: dist/txtorcon-${VERSION}-py2.py3-none-any.whl
-	gpg --verify dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc || gpg --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-${VERSION}-py2.py3-none-any.whl
+	gpg --verify dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc || gpg --pinentry loopback --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-${VERSION}-py2.py3-none-any.whl
 
 dist/txtorcon-${VERSION}.tar.gz: sdist
 dist/txtorcon-${VERSION}.tar.gz.asc: dist/txtorcon-${VERSION}.tar.gz
-	gpg --verify dist/txtorcon-${VERSION}.tar.gz.asc || gpg --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-${VERSION}.tar.gz
+	gpg --verify dist/txtorcon-${VERSION}.tar.gz.asc || gpg --pinentry loopback --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-${VERSION}.tar.gz
 
 release:
 	twine upload -r pypi -c "txtorcon v${VERSION} tarball" dist/txtorcon-${VERSION}.tar.gz dist/txtorcon-${VERSION}.tar.gz.asc

=== debian/changelog ===
txtorcon (18.3.0-1) unstable; urgency=medium

  * New upstream version 18.3.0
  * Refreshed patches

 -- Iain R. Learmonth <irl@debian.org>  Mon, 07 Jan 2019 12:09:47 +0000
